Name:           python-aa-standingsrequests
Version:        1.4.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        App for managing character standing requests, made for Alliance Auth.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://gitlab.com/ErikKalkoken/aa-standingsrequests
Source:         %{pypi_source aa_standingsrequests}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'aa-standingsrequests' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-aa-standingsrequests
Summary:        %{summary}

%description -n python3-aa-standingsrequests %_description


%prep
%autosetup -p1 -n aa_standingsrequests-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-aa-standingsrequests -f %{pyproject_files}


%changelog
%autochangelog